Bug 604045 - Report command line options badly documented
Summary: Report command line options badly documented
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gavin Romig-Koch
QA Contact: David Kutálek
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 09:24 UTC by David Kutálek
Modified: 2010-11-10 21:29 UTC (History)
1 user (show)

Fixed In Version: report-0.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:29:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Kutálek 2010-06-15 09:24:32 UTC
Description of problem:

There are these flaws in 'report' command documentation:
1) in online help (report --help):
   a) --username=USERNAME  File to attach to ticket
      This option explanation seems to me wrong or at least confusing
   b) there is no explanation what 'args' can/should be (a file to report?)
2) in manual (man report):
   a) all options mentioned are without '--' prefix
   b) there is no explanation what '[args]' can/should be (a file to report?)
   c) these options are not documented in manual: -v, --verbose, -h, --help, --gtk

Version-Release number of selected component (if applicable):

report-0.15-1.el6

How reproducible:

Always

Steps to Reproduce:
1. man report
2. report --help
  
Actual results:

As described above.

Expected results:

All options clearly documented in both manual and online help.
Arguments described.

Additional info:

Comment 1 RHEL Product and Program Management 2010-06-15 09:33:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Gavin Romig-Koch 2010-06-18 14:14:43 UTC
pushed to fedora hosted src repo.

Comment 5 releng-rhel@redhat.com 2010-11-10 21:29:34 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.